<input type="file" name="file" accept="image/*" style="display: none" #file (change)="handleImageUpload()" />
<button nbButton ghost status="danger" size="small" (click)="open()" *ngIf="!isSelected">
  Upload image &nbsp;
  <nb-icon icon="image"></nb-icon>
</button>
<button nbButton ghost status="danger" size="small" (click)="close()" *ngIf="isSelected">
  Remove image &nbsp;
  <nb-icon icon="trash-alt"></nb-icon>
</button>
<img #image />
<img class="preview" #preview />
